Bug 1895184 - Sugar SOAS Fedora 33 GA spin is broken... autologin not working, no liveuser no root login on text console
Summary: Sugar SOAS Fedora 33 GA spin is broken... autologin not working, no liveuser ...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: sugar
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alex Perez
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-11-05 23:01 UTC by Scott Dowdle
Modified: 2021-04-05 15:39 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-05 13:29:50 UTC
Type: Bug


Attachments (Terms of Use)

Description Scott Dowdle 2020-11-05 23:01:46 UTC
I downloaded the Fedora 33 Sugar-on-a-stick GA ISO from the link on the getfedora.org website:

https://download.fedoraproject.org/pub/fedora/linux/releases/33/Spins/x86_64/iso/Fedora-SoaS-Live-x86_64-33-1.2.iso

When I boot that in a KVM VM it boots but it does not autologin.  It gives a graphical login manager screen and other is selected.  Trying to use liveuser without a password doesn't work.  Switching over to a text-based console and trying to login as liveuser or root (both without passwords) doesn't work.

So far as I can tell, the media is broken and shouldn't have been released.

Another user in the #fedora channel on IRC said they were able to verify the issue too.

Comment 1 Mamoru TASAKA 2020-12-30 14:07:54 UTC
I see this issue with Fedora-SoaS-Live-x86_64-33-1.2.iso

So I happened to debug this issue out of curiosity by using systemd debug shell, i.e. 

- adding "systemd.debug-shell=1 systemd.log_level=debug"
- boot
- switch to ctrl-alt-F9
- debug what is happening

* Looking at /etc/passwd, "liveuser" user is *not* created
* Looking at /etc/shadow, root password is *locked*
* Looking at /var/log/boot.log , there is no message for "Starting LSB: Init script for live image..."

So when booting Fedora-SoaS-Live-x86_64-33-1.2, it seems /etc/rc.d/init.d/livesys script was never executed.
Actually executing this script manually (in systemd debug shell) fixes this issue.

So my guess is:
- Some file is missing which prevents systemd from executing systemd-sysv-generator
- Something is wrong in /etc/rc.d/init.d/livesys (in Soas live image) and systemd cannot determine order
  dependency or so

Comment 2 Scott Dowdle 2020-12-30 14:23:30 UTC
Try the refreshed SoaS media created by the Respin SIG.  I believe it is working as desired.

Comment 3 Mamoru TASAKA 2020-12-30 14:49:46 UTC
I don't know the detail of systemd, however I guess what is actually needed is /usr/lib/systemd/systemd-sysv-install
( which is symlink to /sbin/chkconfig ). 

This is in chkconfig-1.14-3.fc33 , which is actually installed in LXDE Fedora 33 live (I am LXDE live maintainer), 
but actually chkconfig is *not installed* in Fedora-SoaS-Live-x86_64-33-1.2.iso .

Fedora-SoaS-Live-33-20201023.n.0 is not exactly the same as Fedora-SoaS-Live-x86_64-33-1.2.iso, however looking
at koji log:

https://koji.fedoraproject.org/koji/buildinfo?buildID=1629194
https://kojipkgs.fedoraproject.org//packages/Fedora-SoaS-Live/33/20201023.n.0/data/logs/image/x86_64/anaconda-packaging.log

There is:
10:58:48,278 DBG packaging: transaction exclude list
10:58:48,278 DBG packaging: ['@dial-up', '@fonts', '@gnome-desktop', '@multimedia', '@printing', 'PackageKit', 'abrt-cli', 'chkconfig', 'device-mapper-multipath', 'dhcp-client', 'eekboard-libs', 'fcoe-utils', 'firefox', 'foomatic', 'gcc', 'gcc-gdb-plugin', 'gfs2-utils', 'glx-utils', 'hplip', 'hyperv-daemons', 'ibus*', 'icedtea-web', 'isdn4k-utils', 'mpage', 'nmap-ncat', 'open-vm-tools*', 'openbox', 'plymouth-system-theme', 'plymouth-theme-charge', 'rdate', 'rdist', 'sane-backends', 'sane-backends-drivers-scanners', 'xsane', 'xsane-gimp', 'yp-tools', 'ypbind']

...... Okay, actually there is https://pagure.io/fedora-kickstarts/c/d8d2e8e2d8535eae3dd841339dbe306a2f6b1fcb?branch=f33 ,
perhaps this is the culprit.

Comment 4 Peter Robinson 2020-12-30 15:22:01 UTC
(In reply to Mamoru TASAKA from comment #3)
> I don't know the detail of systemd, however I guess what is actually needed
> is /usr/lib/systemd/systemd-sysv-install
> ( which is symlink to /sbin/chkconfig). 

Why is it still using sys-v scripts?

> This is in chkconfig-1.14-3.fc33 , which is actually installed in LXDE
> Fedora 33 live (I am LXDE live maintainer), 
> but actually chkconfig is *not installed* in
> Fedora-SoaS-Live-x86_64-33-1.2.iso .

Why should it be, we dropped SYS-V scripts in like Fedora 22, it should have *LONG* been converted to a proper systemd script and not depend on legacy deprecated things.

Comment 5 Mamoru TASAKA 2020-12-30 15:50:16 UTC
(In reply to Peter Robinson from comment #4)
> (In reply to Mamoru TASAKA from comment #3)
> > I don't know the detail of systemd, however I guess what is actually needed
> > is /usr/lib/systemd/systemd-sysv-install
> > ( which is symlink to /sbin/chkconfig). 
> 
> Why is it still using sys-v scripts?
> 
> > This is in chkconfig-1.14-3.fc33 , which is actually installed in LXDE
> > Fedora 33 live (I am LXDE live maintainer), 
> > but actually chkconfig is *not installed* in
> > Fedora-SoaS-Live-x86_64-33-1.2.iso .
> 
> Why should it be, we dropped SYS-V scripts in like Fedora 22, it should have
> *LONG* been converted to a proper systemd script and not depend on legacy
> deprecated things.

Just look at:
https://pagure.io/fedora-kickstarts/blob/master/f/fedora-live-base.ks#_66

Note that here we are talking about livespin, not installed image. livespin creates
"liveuser" user, which is (currently) done by this sysv script.

Comment 7 Adam Williamson 2020-12-30 18:26:33 UTC
peter: I rewrote the on-the-fly live initscripts as systemd services years ago but it sat around because Bruno didn't think it was an improvement:

https://bugzilla.redhat.com/show_bug.cgi?id=739446

I've never felt like re-doing it, and I don't think anyone else has either. So they're still initscripts.

Comment 8 Scott Dowdle 2020-12-30 18:39:45 UTC
Related to this was a long-ago-closed will-not-fix RFE... requesting the removal of the livesys services at first boot of the installed system since they are no longer needed... but it was closed because keeping them there was thought not to have a negative impact as they don't do anything other than get parsed.  While it might not have a noticeable performance impact... it does often lead to questions from users about why those services are there, what they are for... and can they be turned off.  They really should go away post install.

So if anyone works on a fix for this ticket and in involves converting the services to systemd or whatever, please consider adding auto-removal post-install as well to the update... if it isn't too much additional work.

Comment 9 Geraldo Simião 2021-02-07 00:20:51 UTC
This bug still there.

Comment 10 Geraldo Simião 2021-02-07 01:17:33 UTC
I tried the last respin, from 2021-01-29 and it starts normaly, without any bugs ( https://dl.fedoraproject.org/pub/alt/live-respins/F33-SOAS-x86_64-LIVE-20210129.iso )

Comment 11 Fedora Admin user for bugzilla script actions 2021-02-08 00:05:59 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 12 Alex Perez 2021-02-13 18:31:16 UTC
(In reply to Geraldo Simião from comment #10)
> I tried the last respin, from 2021-01-29 and it starts normaly, without any
> bugs (
> https://dl.fedoraproject.org/pub/alt/live-respins/F33-SOAS-x86_64-LIVE-
> 20210129.iso )

Thank you for the report. This undesirable behavior is also present in the Fedora 34 nightly, and I'm not sure why. Peter, any thoughts on why it works on the F33 respin, but not F34?

Comment 13 Joe Pesco 2021-02-21 06:08:29 UTC
The latest respin is now from 2021-0212 and also starts normally! 

https://dl.fedoraproject.org/pub/alt/live-respins/F33-SOAS-x86_64-LIVE-20210212.iso

Comment 14 Geraldo Simião 2021-04-05 15:39:54 UTC
This build from F34 is working fine, no bugs.
Fedora-SoaS-Live-x86_64-34-20210405.n.0.iso


Note You need to log in before you can comment on or make changes to this bug.